Subject: Re: How to change "/" from textmode to binmode?
From: Bob McGowan <[email-masked]>
To: [email-masked]
Cc: Cygwin Mailing List <[email-masked]>
Date: Mon, 24 Apr 2000 11:35:41 -0700

Earnie Boyd wrote:
> 
> --- Richard Stanton <[email-masked]> wrote:
> > Following up on the exchange below, I find I can't change / back from text
> > to binmode, mainly because I can't unmount it, even though umount doesn't
> > complain:
> >
> > c:\>umount /
> >
> > c:\>mount
> > Device              Directory           Type         Flags
> > c:\cygnus\usr       /usr                user         binmode
> > c:\cygnus\bin       /usr/bin            user         binmode
> > c:\cygnus\lib       /usr/lib            user         binmode
> > \\.\tape0:          /dev/st0            user         textmode
> > \\.\tape1:          /dev/st1            user         textmode
> > \\.\a:              /dev/fd0            user         textmode
> > \\.\b:              /dev/fd1            user         textmode
> > C:                  /                   user         textmode
> >
> > c:\>
> >
> > How can I change / from textmode back to binmode if I want to do so?
> >
> 
> Gee, I haven't seen this discussed for months/years.  The reason that it
> appears you can't umount / is simple.  The initialization of the Cygwin1.dll
> will create the / directory mount if it doesn't exist.  You actually do remove
> the entry for / with the umount; however, when you do mount to check to see if
> it's gone it gets added back during the initialization.  This has been resolved
> by today's version of mount which uses a -f switch to replace the existing
> entry.  I.E.: mount -f -b c:/ / would add make c:/ the root with binary mode
> processing as the default.
> 
> Cheers,

In an earlier response to the original question, Chris Faylor suggested
using 'mount -?' to get descriptions of options and that one of these
should help.  So I was trying out mount with different options, in
different ways, and came up with a new issue.

It appears that I can create an environment where / is mounted on 2
different locations, one stored at the system level and one at the
user.  It would seem to me to make sense that 'mount' should not allow
duplicates of system level mount points at the user level.  Is this a
valid conclusion?

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]